package com.fjhx.sale.service.contract;

import com.fjhx.sale.entity.contract.po.ContractProject;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractProjectVo;
import com.fjhx.sale.entity.contract.dto.ContractProjectSelectDto;
import com.fjhx.sale.entity.contract.dto.ContractProjectDto;


/**
 * <p>
 * 外销合同-收费项目 服务类
 * </p>
 *
 * @author
 * @since 2023-04-17
 */
public interface ContractProjectService extends BaseService<ContractProject> {

    /**
     * 外销合同-收费项目分页
     */
    Page<ContractProjectVo> getPage(ContractProjectSelectDto dto);

    /**
     * 外销合同-收费项目明细
     */
    ContractProjectVo detail(Long id);

    /**
     * 外销合同-收费项目新增
     */
    void add(ContractProjectDto contractProjectDto);

    /**
     * 外销合同-收费项目编辑
     */
    void edit(ContractProjectDto contractProjectDto);

    /**
     * 外销合同-收费项目删除
     */
    void delete(Long id);

}
